# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.dataset_api import DatasetApi  # noqa: E501
from swagger_client.rest import ApiException


class TestDatasetApi(unittest.TestCase):
    """DatasetApi unit test stubs"""

    def setUp(self):
        self.api = DatasetApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_delete_dataset(self):
        """Test case for delete_dataset

        Remove dataset  # noqa: E501
        """
        pass

    def test_download_dataset(self):
        """Test case for download_dataset

        Download dataset  # noqa: E501
        """
        pass

    def test_get_dataset_by_id(self):
        """Test case for get_dataset_by_id

        Find dataset by ID  # noqa: E501
        """
        pass

    def test_get_dataset_columns(self):
        """Test case for get_dataset_columns

        list dataset's columns  # noqa: E501
        """
        pass

    def test_get_dataset_correlation_mx(self):
        """Test case for get_dataset_correlation_mx

        get dataset's correlation-matrix  # noqa: E501
        """
        pass

    def test_get_dataset_sample(self):
        """Test case for get_dataset_sample

        get dataset sample  # noqa: E501
        """
        pass

    def test_launch_analysis(self):
        """Test case for launch_analysis

        Launch dataset analysis  # noqa: E501
        """
        pass

    def test_launch_parse(self):
        """Test case for launch_parse

        Launch dataset parse  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
